BizKitHub
DocsAPI ReferenceLedger/bff/ledger/settings/entity/update-profile
postLedgerAdmin BFF

/bff/ledger/settings/entity/update-profile

Update ledger settings of an accounting entity

LedgerpostBffLedgerSettingsEntityUpdate-profile

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
accountingStartsOnstringOptional
Example2026-01-01
fiscalYearStartMonthstring | integerOptional
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
Range: 1–12
lockedUntilstring | nullOptional
One of 2:
Variant 1
string
Example2026-01-01
Variant 2
null
autoPostLevel"off" | "suggest" | "assisted" | "full"Optional
autoPostDailyLimitnumber | nullOptional
One of 2:
Variant 1
number
Range: 0–∞
Variant 2
null
fxRateMode"daily" | "fixed_monthly" | "fixed_yearly"Optional
singleAnalyticRedirectbooleanOptional

Response schema

1 status code documented

200Success
successbooleanRequired
changeCountnumberRequired

Response example

application/json
{
  "success": false,
  "changeCount": 0
}

Request example

POST /bff/ledger/settings/entity/update-profile

post
curl -X POST "https://api.bizkithub.com/bff/ledger/settings/entity/update-profile" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "accountingStartsOn": "2026-01-01",
  "singleAnalyticRedirect": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key